1.0
1.0
get /v1/cloud-functions/{cloud_function_id}
Description
show a specific cloud function
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cloud_function_id required | Cloud Functions ID Example : 8c9f6c1c928a45b4bbd1e4da5531d656 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | CloudFunctionShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cloud-functions/{cloud_function_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"
Example HTTP response
Response 200
{
"cloud_function": {
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
"id": "8c9f6c1c928a45b4bbd1e4da5531d656",
"name": "sample",
"runtime": "Node.js:20",
"state": "READY",
"user_id": "617b3d0e90c24a5fa1f65a3824861354"
}
}